import axios from "@/utils/request";
import request from "@/utils/request";


export function createQueueCode(query) {
  return axios({
    url: "/udiwms/sysWorkplace/createQueueCode",
    method: "post",
    data: query
  });
}


export function addQueue(query) {
  return axios({
    url: "/udiwms/sysWorkplaceQueue/addQueue",
    method: "post",
    data: query
  });
}

export function updateQueue(query) {
  return axios({
    url: "/udiwms/sysWorkplaceQueue/update",
    method: "post",
    data: query
  });
}

export function getQueueList(query) {
  return axios({
    url: "/udiwms/sysWorkplaceQueue/page",
    method: "get",
    params: query
  });
}


export function deleteQueue(query) {
  return axios({
    url: "/udiwms/sysWorkplaceQueue/delete",
    method: "post",
    data: query
  });
}


export function getByCode(query) {
  return axios({
    url: "/udiwms/sysWorkplaceQueue/getByCode",
    method: "get",
    params: query
  });
}

export function printQueueLabel(query) {
  return axios({
    url: "/udiwms/sysWorkplaceQueue/label/print",
    method: "post",
    data: query,
    headers: {'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'},
    responseType: 'arraybuffer',   //一定要设置响应类型，否则页面会是空白pdf
  });
}

export function addLayer(query) {
  return axios({
    url: "/udiwms/sysWorkplaceQueue/add/layer",
    method: "post",
    data: query
  });
}

export function getQueueListPage(query) {
  return axios({
    url: "/udiwms/sysWorkplaceQueue/getQueueList",
    method: "get",
    params: query
  });
}


